Name:		nss-pam-ldapd
Version:	0.9.11
Release:	%mkrel 4
Summary:	An nsswitch module which uses directory servers
Group:		System/Libraries
License:	LGPLv2+
URL:		https://arthurdejong.org/nss-ldapd/
Source0:	https://arthurdejong.org/nss-ldapd/%{name}-%{version}.tar.gz
Source3:	nslcd.service
Source4:	nslcd.tmpfiles
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pam-devel
BuildRequires:	python3

%description
The nss-ldapd daemon, nslcd, uses a directory server to look up name
service information (users, groups, etc.) on behalf of a lightweight
nsswitch module.

%prep
%setup -q

%build
%configure \
    --libdir=/%{_lib} \
    --with-pam-seclib-dir=/%{_lib}/security \
    --with-nslcd-pidfile=/run/nslcd/nslcd.pid
%make_build

%install
%make_install

install -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/nslcd.service
install -D -m 644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/nslcd.conf
install -d -m 755 %{buildroot}%{_rundir}/nslcd

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/nslcd-utils/

%pre
%_pre_useradd nslcd / /bin/false

%post
%_tmpfilescreate nslcd
%_post_service nslcd
systemctl try-restart nscd >/dev/null 2>&1 || :

%preun
%_preun_service nslcd

%files
%doc AUTHORS ChangeLog COPYING HACKING NEWS README TODO
%{_sbindir}/*
/%{_lib}/*.so.*
/%{_lib}/security/*.so
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/nslcd.conf
%{_tmpfilesdir}/nslcd.conf
%{_unitdir}/nslcd.service
%dir %ghost %attr(0755, nslcd, root) %{_rundir}/nslcd
%ghost %attr(0660, -, -) %{_rundir}/nslcd/nslcd.pid
# Should this be split into a nslcd-utils package?
%{_bindir}/*
%{_datadir}/nslcd-utils


%changelog
* Tue Jan 03 2023 umeabot <umeabot> 0.9.11-4.mga9
+ Revision: 1929547
- Rebuild to use libldap-2.5 instead of 2.4

* Tue Mar 29 2022 umeabot <umeabot> 0.9.11-3.mga9
+ Revision: 1833461
- Mageia 9 Mass Rebuild

* Thu Feb 27 2020 daviddavid <daviddavid> 0.9.11-2.mga8
+ Revision: 1550912
- fix python shebangs
- make sure pid files and /run/nslcd folder are removed when uninstalled
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 08 2019 guillomovitch <guillomovitch> 0.9.11-1.mga8
+ Revision: 1458840
- new version 0.9.11

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.9.10-1.mga7
+ Revision: 1346510
- 0.9.10

* Sun Sep 23 2018 umeabot <umeabot> 0.9.9-2.mga7
+ Revision: 1299803
- Mageia 7 Mass Rebuild

* Wed Feb 28 2018 guillomovitch <guillomovitch> 0.9.9-1.mga7
+ Revision: 1205636
- new version 0.9.9

* Mon Aug 21 2017 guillomovitch <guillomovitch> 0.9.8-1.mga7
+ Revision: 1142606
- new version 0.9.8

* Fri Sep 09 2016 luigiwalser <luigiwalser> 0.9.7-1.mga6
+ Revision: 1051182
- 0.9.7

* Fri Feb 12 2016 umeabot <umeabot> 0.9.6-2.mga6
+ Revision: 956270
- Mageia 6 Mass Rebuild
+ pterjan <pterjan>
- Update to 0.9.6, to support things like nested groups

* Fri Sep 11 2015 luigiwalser <luigiwalser> 0.8.14-4.mga6
+ Revision: 876956
- use network-online.target instead of network.target so it will start at boot

* Wed Oct 15 2014 umeabot <umeabot> 0.8.14-3.mga5
+ Revision: 747442
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.14-2.mga5
+ Revision: 682941
- Mageia 5 Mass Rebuild

* Mon Mar 17 2014 luigiwalser <luigiwalser> 0.8.14-1.mga5
+ Revision: 604296
- 0.8.14

* Mon Oct 21 2013 umeabot <umeabot> 0.8.13-2.mga4
+ Revision: 538770
- Mageia 4 Mass Rebuild
+ luigiwalser <luigiwalser>
- revert to stable 0.8 branch

* Thu Sep 19 2013 guillomovitch <guillomovitch> 0.9.1-1.mga4
+ Revision: 481383
- new version 0.9.1

* Sat May 25 2013 guillomovitch <guillomovitch> 0.8.13-1.mga4
+ Revision: 427110
- new version

* Fri May 10 2013 guillomovitch <guillomovitch> 0.8.12-3.mga3
+ Revision: 412882
- don't ship useless /etc/nss-ldapd.conf file (#10026)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 guillomovitch <guillomovitch> 0.8.12-1.mga3
+ Revision: 329326
- new version

* Tue Oct 16 2012 guillomovitch <guillomovitch> 0.8.11-1.mga3
+ Revision: 307127
- new version

* Fri Aug 24 2012 guillomovitch <guillomovitch> 0.8.10-2.mga3
+ Revision: 283395
- don't ship /var/run/nslcd directory
- use %%{_prefix}/lib/tmpfiles.d instead of %%{_sysconfig}/tmpfiles.d

* Fri Jul 13 2012 guillomovitch <guillomovitch> 0.8.10-1.mga3
+ Revision: 270645
- new version

* Tue Jun 05 2012 guillomovitch <guillomovitch> 0.8.9-1.mga3
+ Revision: 256000
- new version
- drop sysinit support
- use /run instead of /var/run for pid files

* Sat Apr 28 2012 tmb <tmb> 0.8.6-3.mga2
+ Revision: 233822
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Apr 18 2012 guillomovitch <guillomovitch> 0.8.6-2.mga2
+ Revision: 231350
- systemd support

* Mon Jan 30 2012 guillomovitch <guillomovitch> 0.8.6-1.mga2
+ Revision: 203254
- imported package nss-pam-ldapd


* Sat May 14 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 674629
- update to new version 0.8.3

* Mon Mar 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1
+ Revision: 648674
- new version

* Fri Mar 25 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-2
+ Revision: 648530
- fix CVE-2011-0438 (official patch)

* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 626830
- update to new version 0.8.0

* Mon Dec 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.13-2mdv2011.0
+ Revision: 623435
- update to new version 0.7.13

* Tue Nov 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.12-1mdv2011.0
+ Revision: 591966
- update to new version 0.7.12

* Sun Oct 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.11-1mdv2011.0
+ Revision: 586216
- update to new version 0.7.11

* Fri Oct 01 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.10-1mdv2011.0
+ Revision: 582408
- update to new version 0.7.10

* Thu Aug 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.8-1mdv2011.0
+ Revision: 571343
- update to new version 0.7.8

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.7-1mdv2011.0
+ Revision: 554590
- update to new version 0.7.7

* Sun Feb 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.3-1mdv2010.1
+ Revision: 512707
- update to new version 0.7.3

* Thu Dec 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 484534
- new version

* Mon Nov 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 466597
- import nss-pam-ldapd


* Thu Sep 24 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.11-2
- rebuild

* Wed Sep 16 2009 Nalin Dahyabhai <nalin@redhat.com> 
- apply Mitchell Berger's patch to clean up the init script, use %%{_initddir},
  and correct the %%post so that it only thinks about turning on nslcd when
  we're first being installed (#522947)
- tell status() where the pidfile is when the init script is called for that

* Tue Sep  8 2009 Nalin Dahyabhai <nalin@redhat.com>
- fix typo in a comment, capitalize the full name for "LDAP Client User" (more
  from #516049)

* Wed Sep  2 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.11-1
- update to 0.6.11

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.10-3
- update URL: and Source:

* Mon Jun 15 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.10-2
- add and own /var/run/nslcd
- convert hosts to uri during migration

* Thu Jun 11 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.10-1
- update to 0.6.10

* Fri Apr 17 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.8-1
- bump release number to 1 (part of #491767)
- fix which group we check for during %%pre (part of #491767)

* Tue Mar 24 2009 Nalin Dahyabhai <nalin@redhat.com>
- require chkconfig by package rather than path (Jussi Lehtola, part of #491767)

* Mon Mar 23 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.8-0.1
- update to 0.6.8

* Mon Mar 23 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.7-0.1
- start using a dedicated user

* Wed Mar 18 2009 Nalin Dahyabhai <nalin@redhat.com> 0.6.7-0.0
- initial package (#445965)
